> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/subscriptions/update-end-user-information.md).

# Update end-user information

Use this method to add end user information to a subscription.

## Request parameters

<table><thead><tr><th width="256.5999755859375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><p><strong>Required (string)</strong></p><p>Session identifier, output of the Login method. An exception is thrown for incorrect values.</p></td></tr><tr><td><code>subscriptionReferencesList</code></td><td><strong>Required (stringArray)</strong></td></tr><tr><td><code>EndUser</code></td><td><p><strong>Object</strong></p><p>Details below</p></td></tr><tr><td><code>EndUser.FirstName</code></td><td><strong>String</strong><br>End user first name</td></tr><tr><td><code>EndUser.LastName</code></td><td><strong>String</strong><br>End user last name</td></tr><tr><td><code>EndUser.Company</code></td><td><strong>String</strong><br>End user company name. Can be NULL.</td></tr><tr><td><code>EndUser.CountryCode</code></td><td><strong>String</strong><br>End user country code (ISO 3166 two-letter code).</td></tr><tr><td><code>EndUser.State</code></td><td><strong>String</strong><br>End user state. Example: "Alabama". Can be NULL.</td></tr><tr><td><code>EndUser.Email</code></td><td><strong>String</strong><br>End user email.</td></tr><tr><td><code>EndUser.Fax</code></td><td><strong>String</strong><br>End user fax number. Can be NULL.</td></tr><tr><td><code>EndUser.City</code></td><td><strong>String</strong><br>End user city.</td></tr><tr><td><code>EndUser.Address1</code></td><td><strong>String</strong><br>End user address line 1. Can be NULL.</td></tr><tr><td><code>EndUser.Address2</code></td><td><strong>String</strong><br>End user address line 2. Can be NULL.</td></tr><tr><td><code>EndUser.Phone</code></td><td><strong>String</strong><br>End user phone number. Can be NULL.</td></tr><tr><td><code>EndUser.Zip</code></td><td><strong>String</strong><br>End user zip. Can be NULL.</td></tr><tr><td><code>EndUser.Language</code></td><td><strong>String</strong><br>ISO 639-1 two-letter language code for the end user language. Can be NULL.</td></tr></tbody></table>

### Request sample

```php
<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$subscriptionReferencesList = array('REFERENCE_1', 'REFERENCE_2');

$endUser = new stdClass();
$endUser->FirstName = 'FirstName';
$endUser->LastName = 'LastName';
$endUser->CountryCode = 'US';
$endUser->Email = 'email@example.com';
$endUser->City = 'LA';

try {
    $UpdatedEndUser= $client->updateSubscriptionsEndUser($sessionID, $subscriptionReferencesList, $endUser);
} catch (SoapFault $e) {
    Echo "UpdatedEndUser: " . $e->getMessage();
    exit;
}
var_dump ("UpdatedEndUser ", $UpdatedEndUser);
```

## Response parameters

<table><thead><tr><th width="116.2000732421875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><strong>Result</strong></td><td><p><strong>Boolean</strong></p><p>True or false</p></td></tr></tbody></table>

## Errors

<table><thead><tr><th width="315.4000244140625">Error</th><th>Description</th></tr></thead><tbody><tr><td><strong>NOT_FOUND_PARTNER</strong></td><td>A partner must be set first.</td></tr><tr><td><strong>INVALID_SUBSCRIPTIONS_LIST_SIZE</strong></td><td>Too many subscription references provided.</td></tr><tr><td><strong>INVALID_COUNTRY</strong></td><td>Invalid end user country code.</td></tr><tr><td><strong>INVALID_END_USER_EMAIL</strong></td><td>Invalid end user email provided.</td></tr><tr><td><strong>EMPTY_END_USER_FIRST_NAME</strong></td><td>End user first name is mandatory.</td></tr><tr><td><strong>EMPTY_END_USER_LAST_NAME</strong></td><td>End user last name is mandatory.</td></tr><tr><td><strong>EMPTY_END_USER_CITY</strong></td><td>End user city is mandatory.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/subscriptions/update-end-user-information.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
